## pymodbus 0.9.0%2br175

=== debian/watch ===
version=3
http://code.google.com/p/pymodbus/downloads/list \
	http://pymodbus.googlecode.com/files/pymodbus-([\d\.]+)\.tar\.gz

## pymodbus 1.1.0

=== examples/contrib/requirements.txt ===
# -------------------------------------------------------------------
# if you want to use the custom data stores, uncomment these
# -------------------------------------------------------------------
#SQLAlchemy==0.7.9
#redis==2.6.2

=== examples/tools/nullmodem/generic/Makefile ===
all:virtual-serial
clean:
	rm virtual-serial > /dev/null
run: virtual-serial
	./virtual-serial

=== examples/tools/nullmodem/linux/module/Makefile ===
# Comment/uncomment the following line to disable/enable debugging
#DEBUG = y


# Add your debugging flag (or not) to CFLAGS
ifeq ($(DEBUG),y)
  DEBFLAGS = -O -g -DSCULL_DEBUG # "-O" is needed to expand inlines
else
  DEBFLAGS = -O2
endif

EXTRA_CFLAGS += $(DEBFLAGS) -I..

ifneq ($(KERNELRELEASE),)
# call from kernel build system

#obj-m	:= tiny_tty.o tiny_serial.o tty0tty.o 
obj-m	:= tty0tty.o 

else

KERNELDIR ?= /lib/modules/$(shell uname -r)/build
PWD       := $(shell pwd)

default:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules

endif



clean:
	rm -rf *.o *~ core .depend .*.cmd *.ko *.mod.c .tmp_versions modules.order Module.symvers

depend .depend dep:
	$(CC) $(CFLAGS) -M *.c > .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== examples/tools/nullmodem/linux/pts/Makefile ===

CC=gcc

FLAGS= -Wall -O2 -D_GNU_SOURCE

all:
	$(CC) $(FLAGS) tty0tty.c -o tty0tty

clean:
	rm -rf tty0tty *.o core

## pymodbus 0.9.0+r175

=== debian/changelog ===
pymodbus (0.9.0+r175-1) unstable; urgency=low

  * Update from trunk to get a number of upstream fixes.
  * Removed examples/tools/ (not present in previous version
    anyway) from source because there are different licenses
    involved. Needs clarification.
  * Dont't install unit tests.
  * Debian patches not necessary anymore.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 26 Oct 2011 07:26:28 +0000

pymodbus (0.9.0-1) unstable; urgency=low

  * Initial release (Closes: #578120)
    (Really, previous version never has been uploaded.)
  * New upstream version.
    Examples and docs are not included by upstream anymore.
  * Moved to dh_python2.
  * Twisted and Serial recommended only.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 17 Aug 2011 09:34:29 +0000

pymodbus (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #578120)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Apr 2010 13:15:39 -0300

=== debian/control ===
Source: pymodbus
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3~),
               python-setuptools, python-twisted-core, python-nose
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pymodbus/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pymodbus/trunk/
Homepage: http://code.google.com/p/pymodbus

Package: python-pymodbus
Architecture: all
Depends: python (>= 2.6.6-7~), python (<< 2.8)
Recommends: python-twisted-core, python-serial
Provides: ${python:Provides}
Description: full Modbus protocol implementation
 Pymodbus is a full Modbus protocol implementation.
 It is currently supports the following :
 .
 Client Features: 
  * Can perform single get/set on discrete and registers
  * Can perform multiple get/set on discrete and registers
  * Working on diagnostic/file/pipe/setting/info requests
  * Can fully scrape a host to be cloned 
 .
 Server Features:
  * Can function as a fully implemented TCP/ASCII modbus server
  * Full server control context
  * Working on serial communication
  * Working on functioning as a RTU
  * Can mimic a server based on the supplied input data 
 .
 For asynchronous communication, you need python-twisted-core.
 For serial communication, you need python-serial.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@ --with python2

override_dh_installdocs:
	dh_installdocs -Xtest/

## pymodbus 1.1.0

=== debian/changelog ===
pymodbus (1.1.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Add Thomas Bechtold to Uploaders.
  * debian/watch: Use github tags for new releases.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Sat, 27 Oct 2012 12:55:45 +0200

pymodbus (0.9.0+r175-3) unstable; urgency=low

  * Add ${misc:Depends} to avoid lintian warnings.
  * Update debhelper dependency version.
  * Clean egg files (Closes: #671416).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 23 Jun 2012 18:29:11 -0300

pymodbus (0.9.0+r175-2) unstable; urgency=low

  * Set correct python dependencies (Closes: #642460).
    Thanks to Thomas Bechtold <thomasbechtold@jpberlin.de>.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 28 Dec 2011 22:02:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3~),
-               python-setuptools, python-twisted-core, python-nose
-Standards-Version: 3.9.2
+Uploaders: W. Martin Borgert <debacle@debian.org>,
+           Maximiliano Curia <maxy@debian.org>,
+           Thomas Bechtold <thomasbechtold@jpberlin.de>
+Build-Depends: debhelper (>= 7.0.50~), python, python-setuptools, python-nose
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pymodbus/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pymodbus/trunk/
 Homepage: http://code.google.com/p/pymodbus
 
 Package: python-pymodbus
 Architecture: all
-Depends: python (>= 2.6.6-7~), python (<< 2.8)
+Depends: ${python:Depends}, ${misc:Depends}
 Recommends: python-twisted-core, python-serial
 Provides: ${python:Provides}
 Description: full Modbus protocol implementation

=== debian/watch ===
version=3
http://githubredir.debian.net/github/bashwork/pymodbus (.*).tar.gz

## pymodbus 1.2.0

=== debian/changelog ===
pymodbus (1.2.0-2) unstable; urgency=low

  [Jakub Wilk <jwilk@debian.org>  Sun, 05 May 2013 16:01:51 +0200]
  * Use canonical URIs for Vcs-* fields.
  [W. Martin Borgert <debacle@debian.org>]
  * upload to unstable

 -- W. Martin Borgert <debacle@debian.org>  Fri, 17 May 2013 16:21:29 +0000

pymodbus (1.2.0-1) experimental; urgency=low

  * New upstream release
  * debian/watch: Use pypi to watch releases. Githubredir was not working.
  * debian/control: Bump Standards-Version to 3.9.4

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Sat, 06 Apr 2013 10:53:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
            Maximiliano Curia <maxy@debian.org>,
            Thomas Bechtold <thomasbechtold@jpberlin.de>
 Build-Depends: debhelper (>= 7.0.50~), python, python-setuptools, python-nose
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pymodbus/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pymodbus/trunk/
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pymodbus/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pymodbus/trunk/
 Homepage: http://code.google.com/p/pymodbus
 
 Package: python-pymodbus

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 
 override_dh_installdocs:
 	dh_installdocs -Xtest/
+
+override_dh_python2:
+	dh_python2 --no-guessing-deps

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/pymodbus/pymodbus-(.*).tar.gz

## pymodbus 1.2.0+git20151013

=== requirements.txt ===
# -------------------------------------------------------------------
# if want to use the pymodbus serial stack, uncomment these
# -------------------------------------------------------------------
#pyserial==2.6
# -------------------------------------------------------------------
# if you want to run the tests and code coverage, uncomment these
# -------------------------------------------------------------------
#coverage==3.5.3
#mock==1.0b1
#nose==1.2.1
#pep8==1.3.3
# -------------------------------------------------------------------
# if you want to use the asynchronous version, uncomment these
# -------------------------------------------------------------------
#Twisted==12.2.0
#zope.interface==4.0.1
#pyasn1==0.1.4
#pycrypto==2.6
#wsgiref==0.1.2
# -------------------------------------------------------------------
# if you want to build the documentation, uncomment these
# -------------------------------------------------------------------
#Jinja2==2.6
#Pygments==1.5
#Sphinx==1.1.3
#docutils==0.9.1

=== debian/changelog ===
pymodbus (1.2.0+git20151013-1) unstable; urgency=low

  * Use latest git from upstream.
  * Don't install ez_setup.py.
  * Fixed Vcs fields.
  * Closes: #783612, thanks to Andreas Beckmann!
    (syntax error, already closed in previous version)

 -- W. Martin Borgert <debacle@debian.org>  Tue, 13 Oct 2015 20:41:48 +0000

pymodbus (1.2.0+git20150925-1) unstable; urgency=low

  * Use latest git from upstream, fixing some issues.
  * Use git-dpm instead of gbp for packaging.
  * Drop Python 3 patch, because upstream does not support it.
    Need to reopen #774741.
  * Correct license: BSD, not MIT (Closes: #783390).
    Thanks to Scott Kitterman!

 -- W. Martin Borgert <debacle@debian.org>  Mon, 12 Oct 2015 22:16:13 +0000

pymodbus (1.2.0+git20150104-1) experimental; urgency=low

  * Use latest git from upstream, fixing some issues.
  * Replace Python 3 patch with experimental one by Mike Pagel
    <mike@mpagel.de> for Python 3 with async features.
    (Closes: #774741). Still not fit for unstable. Needs testing.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 21 Jan 2015 08:31:30 +0000

pymodbus (1.2.0+git20140723-2) experimental; urgency=low

  * Add ad hoc package for Python 3 without async features.

 -- W. Martin Borgert <debacle@debian.org>  Mon, 22 Dec 2014 22:25:07 +0000

pymodbus (1.2.0+git20140723-1) experimental; urgency=low

  * Use latest git version commit.
  * Switched to git packaging.
  * DEPified copyright.
  * Use pybuild.

 -- W. Martin Borgert <debacle@debian.org>  Sun, 21 Dec 2014 21:33:44 +0000

=== debian/control ===
Source: pymodbus
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Thomas Bechtold <thomasbechtold@jpberlin.de>
Build-Depends: debhelper (>= 7.0.50~), python, python-setuptools, python-nose, dh-python, python-twisted
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pymodbus.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pymodbus.git
Homepage: https://github.com/bashwork/pymodbus

Package: python-pymodbus
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-twisted-core, python-serial
Provides: ${python:Provides}
Description: full Modbus protocol implementation
 Pymodbus is a full Modbus protocol implementation.
 It is currently supports the following :
 .
 Client Features:
  * Can perform single get/set on discrete and registers
  * Can perform multiple get/set on discrete and registers
  * Working on diagnostic/file/pipe/setting/info requests
  * Can fully scrape a host to be cloned
 .
 Server Features:
  * Can function as a fully implemented TCP/ASCII modbus server
  * Full server control context
  * Working on serial communication
  * Working on functioning as a RTU
  * Can mimic a server based on the supplied input data
 .
 For asynchronous communication, you need python-twisted-core.
 For serial communication, you need python-serial.
 .
 This package provides the Python 2.x module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=pymodbus
export http_proxy = http://127.0.0.1:9
export https_proxy = https://127.0.0.1:9

%:
	dh $@ --buildsystem=pybuild --with python2

override_dh_install:
	dh_install -Xez_setup.py

override_dh_installdocs:
	dh_installdocs -Xtest/

override_dh_python2:
	dh_python2 --no-guessing-deps

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in 2.7; do \
	    echo WARNING: not running python$$pyvers setup.py test; \
	done
endif

=== debian/watch ===
version=3
https://github.com/bashwork/pymodbus/releases \
.*[^n]/(?:|v|version-|release-|r|REL_|rel-|(?:pymodbus|pymodbus)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## pymodbus 1.3.1

=== debian/changelog ===
pymodbus (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * Remove patch to not use humanfriendly.sphinx (packaged)
  * Remove .git-dpm again
  * Bump Standards-Version to 4.0.0
  * Add rudimentary autopkgtest

 -- W. Martin Borgert <debacle@debian.org>  Sat, 24 Jun 2017 21:37:50 +0000

pymodbus (1.3.0~rc2-1) experimental; urgency=medium

  * New upstream version 1.3.0~rc2
  * Applied patch to not use humanfriendly.sphinx until packaged
    for Debian (see #851824)
  * Re-enabled the previously failing test case

 -- W. Martin Borgert <debacle@debian.org>  Sun, 28 May 2017 21:40:57 +0000

pymodbus (1.3.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ W. Martin Borgert ]
  * New upstream version 1.3.0~rc1 by new upstream author (Closes: #862812)
  * It seems, upstream fixed transaction.py (Closes: #763350) Thanks,
    D.S. Ljungmark; please open again, if it still does not work
  * Bump Standards-Version to 3.9.8
  * Add Python 3, again, now that new upstream supports it (Closes: #774741)
  * Add -doc package
  * Depend on python{,3}-serial (Closes: #845485) Thanks, Matthias Urlichs
  * Re-enable tests (but skip a failing one until fixed upstream)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 17 May 2017 19:37:51 +0000

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,33 @@
 Uploaders: W. Martin Borgert <debacle@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
            Thomas Bechtold <thomasbechtold@jpberlin.de>
-Build-Depends: debhelper (>= 7.0.50~), python, python-setuptools, python-nose, dh-python, python-twisted
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pymodbus.git
+Build-Depends: debhelper (>= 10~),
+	dh-python,
+	python,
+	python-humanfriendly,
+	python-mock,
+	python-nose,
+	python-serial,
+	python-setuptools,
+	python-sphinx,
+	python-twisted,
+	python3,
+	python3-mock,
+	python3-nose,
+	python3-serial,
+	python3-setuptools,
+	python3-twisted
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pymodbus.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pymodbus.git
-Homepage: https://github.com/bashwork/pymodbus
+Homepage: https://github.com/riptideio/pymodbus
 
 Package: python-pymodbus
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
-Recommends: python-twisted-core, python-serial
+Recommends: python-twisted-core
 Provides: ${python:Provides}
-Description: full Modbus protocol implementation
+Description: full Modbus protocol implementation for Python 2
  Pymodbus is a full Modbus protocol implementation.
  It is currently supports the following :
  .
@@ -37,3 +52,56 @@
  For serial communication, you need python-serial.
  .
  This package provides the Python 2.x module.
+
+Package: python3-pymodbus
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
+Recommends: python3-twisted
+Provides: ${python3:Provides}
+Description: full Modbus protocol implementation for Python 3
+ Pymodbus is a full Modbus protocol implementation.
+ It is currently supports the following :
+ .
+ Client Features:
+  * Can perform single get/set on discrete and registers
+  * Can perform multiple get/set on discrete and registers
+  * Working on diagnostic/file/pipe/setting/info requests
+  * Can fully scrape a host to be cloned
+ .
+ Server Features:
+  * Can function as a fully implemented TCP/ASCII modbus server
+  * Full server control context
+  * Working on serial communication
+  * Working on functioning as a RTU
+  * Can mimic a server based on the supplied input data
+ .
+ For asynchronous communication, you need python-twisted-core.
+ For serial communication, you need python-serial.
+ .
+ This package provides the Python 3.x module.
+
+Package: python-pymodbus-doc
+Section: doc
+Architecture: all
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Description: full Modbus protocol implementation, documentation
+ Pymodbus is a full Modbus protocol implementation.
+ It is currently supports the following :
+ .
+ Client Features:
+  * Can perform single get/set on discrete and registers
+  * Can perform multiple get/set on discrete and registers
+  * Working on diagnostic/file/pipe/setting/info requests
+  * Can fully scrape a host to be cloned
+ .
+ Server Features:
+  * Can function as a fully implemented TCP/ASCII modbus server
+  * Full server control context
+  * Working on serial communication
+  * Working on functioning as a RTU
+  * Can mimic a server based on the supplied input data
+ .
+ For asynchronous communication, you need python-twisted-core.
+ For serial communication, you need python-serial.
+ .
+ This package provides the documentation and examples.

## pymodbus 1.3.2

=== Makefile ===
# Makefile for the `pymodbus' package.

WORKON_HOME ?= $(HOME)/.virtualenvs
VIRTUAL_ENV ?= $(WORKON_HOME)/pymodbus
PATH := $(VIRTUAL_ENV)/bin:$(PATH)
MAKE := $(MAKE) --no-print-directory
SHELL = bash

default:
	@echo 'Makefile for pymodbus'
	@echo
	@echo 'Usage:'
	@echo
	@echo '    make install    install the package in a virtual environment'
	@echo '    make reset      recreate the virtual environment'
	@echo '    make check      check coding style (PEP-8, PEP-257)'
	@echo '    make test       run the test suite, report coverage'
	@echo '    make tox        run the tests on all Python versions'
	@echo '    make clean      cleanup all temporary files'
	@echo

install:
	@test -d "$(VIRTUAL_ENV)" || mkdir -p "$(VIRTUAL_ENV)"
	@test -x "$(VIRTUAL_ENV)/bin/python" || virtualenv --quiet "$(VIRTUAL_ENV)"
	@test -x "$(VIRTUAL_ENV)/bin/pip" || easy_install pip
	@pip install --quiet --requirement=requirements.txt
	@pip uninstall --yes pymodbus &>/dev/null || true
	@pip install --quiet --no-deps --ignore-installed .

reset:
	$(MAKE) clean
	rm -Rf "$(VIRTUAL_ENV)"
	$(MAKE) install

check: install
	@pip install --upgrade --quiet --requirement=requirements-checks.txt
	@flake8

test: install
	@pip install --quiet --requirement=requirements-tests.txt
	@nosetests --with-coverage --cover-html
	@coverage report --fail-under=90

tox: install
	@pip install --quiet tox && tox

docs: install
	@pip install --quiet sphinx
	@cd doc/sphinx && sphinx-build -nb html -d doctrees . html

publish: install
	git push origin && git push --tags origin
	$(MAKE) clean
	pip install --quiet twine wheel
	python setup.py sdist bdist_wheel
	twine upload dist/*
	$(MAKE) clean

clean:
	@rm -Rf *.egg .cache .coverage .tox build dist docs/build htmlcov
	@find -depth -type d -name __pycache__ -exec rm -Rf {} \;
	@find -type f -name '*.pyc' -delete

.PHONY: default install reset check test tox docs publish clean

=== requirements.txt ===
coloredlogs>=7.0
# -------------------------------------------------------------------
# if want to use the pymodbus serial stack, uncomment these
# -------------------------------------------------------------------
#pyserial==3.3
# -------------------------------------------------------------------
# if you want to run the tests and code coverage, uncomment these
# -------------------------------------------------------------------
#coverage==4.4
#mock==2.0.0
#nose==1.3.7
#pep8==1.7.0
# -------------------------------------------------------------------
# if you want to use the asynchronous version, uncomment these
# -------------------------------------------------------------------
#Twisted==17.1.0
#zope.interface==4.4.0
#pyasn1==0.2.3
#pycrypto==2.6.1
#wsgiref==0.1.2
#cryptography==1.8.1
# -------------------------------------------------------------------
# if you want to build the documentation, uncomment these
# -------------------------------------------------------------------
#Jinja2==2.9.6
#Pygments==2.2.0
#Sphinx==1.5.5
#docutils==0.13.1
#pydoctor==16.3.0

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/PyModbus.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/PyModbus.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

=== debian/changelog ===
pymodbus (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * Bump Standards-Version to 4.1.0

 -- W. Martin Borgert <debacle@debian.org>  Sun, 27 Aug 2017 22:11:41 +0000

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,20 @@
 Build-Depends: debhelper (>= 10~),
 	dh-python,
 	python,
-	python-humanfriendly,
 	python-mock,
 	python-nose,
 	python-serial,
 	python-setuptools,
-	python-sphinx,
 	python-twisted,
 	python3,
+	python3-humanfriendly,
+	python3-sphinx,
 	python3-mock,
 	python3-nose,
 	python3-serial,
 	python3-setuptools,
 	python3-twisted
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pymodbus.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pymodbus.git
 Homepage: https://github.com/riptideio/pymodbus
@@ -83,6 +83,7 @@
 Package: python-pymodbus-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: full Modbus protocol implementation, documentation
  Pymodbus is a full Modbus protocol implementation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=pymodbus
export http_proxy = http://127.0.0.1:9
export https_proxy = https://127.0.0.1:9

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/sphinx build/html

=== debian/tests/control ===
Depends: python-pymodbus
Test-Command: cd "$ADTTMP" ; python -c "import pymodbus ; print pymodbus.__version__"

Depends: python3-pymodbus
Test-Command: cd "$ADTTMP" ; python3 -c "import pymodbus ; print(pymodbus.__version__)"

=== debian/watch ===
version=3
https://github.com/riptideio/pymodbus/releases \
.*[^n]/(?:|v|version-|release-|r|REL_|rel-|(?:pymodbus|pymodbus)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## pymodbus 1.5.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,8 @@
 	@echo '    make check      check coding style (PEP-8, PEP-257)'
 	@echo '    make test       run the test suite, report coverage'
 	@echo '    make tox        run the tests on all Python versions'
-	@echo '    make clean      cleanup all temporary files'
+	@echo '    make docs        creates sphinx documentation in html'
+	@echo '    make clean        cleanup all temporary files'
 	@echo
 
 install:
@@ -38,15 +39,15 @@
 
 test: install
 	@pip install --quiet --requirement=requirements-tests.txt
-	@nosetests --with-coverage --cover-html
+	@py.test
 	@coverage report --fail-under=90
 
 tox: install
 	@pip install --quiet tox && tox
 
 docs: install
-	@pip install --quiet sphinx
-	@cd doc/sphinx && sphinx-build -nb html -d doctrees . html
+	@pip install --quiet --requirement=requirements-docs.txt
+	@cd doc && make html
 
 publish: install
 	git push origin && git push --tags origin
@@ -57,8 +58,8 @@
 	$(MAKE) clean
 
 clean:
-	@rm -Rf *.egg .cache .coverage .tox build dist docs/build htmlcov
-	@find -depth -type d -name __pycache__ -exec rm -Rf {} \;
-	@find -type f -name '*.pyc' -delete
+	@rm -Rf *.egg .eggs *.egg-info *.db .cache .coverage .tox build dist docs/build htmlcov doc/_build test/.Python test/pip-selfcheck.json test/lib/ test/include/ test/bin/
+	@find . -depth -type d -name __pycache__ -exec rm -Rf {} \;
+	@find . -type f -name '*.pyc' -delete
 
 .PHONY: default install reset check test tox docs publish clean

=== requirements.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-coloredlogs>=7.0
+six==1.11.0
 # -------------------------------------------------------------------
 # if want to use the pymodbus serial stack, uncomment these
 # -------------------------------------------------------------------
-#pyserial==3.3
+#pyserial==3.4
 # -------------------------------------------------------------------
 # if you want to run the tests and code coverage, uncomment these
 # -------------------------------------------------------------------

=== debian/changelog ===
pymodbus (1.5.2+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports
  * Depend on six

 -- W. Martin Borgert <debacle@debian.org>  Sun, 23 Sep 2018 23:12:08 +0000

pymodbus (1.5.2+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

 -- W. Martin Borgert <debacle@debian.org>  Wed, 23 May 2018 23:34:05 +0000

pymodbus (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- W. Martin Borgert <debacle@debian.org>  Wed, 23 May 2018 23:13:03 +0000

pymodbus (1.4.0+dfsg-2) unstable; urgency=medium

  * Move docs back into -doc package (Closes: #892711)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 12 Mar 2018 22:00:03 +0000

pymodbus (1.4.0+dfsg-1) unstable; urgency=medium

  [ Thomas Bechtold ]
  * Remove myself from Uploaders

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ W. Martin Borgert ]
  * New upstream version
  * Bump standards and dh compat

 -- W. Martin Borgert <debacle@debian.org>  Fri, 09 Mar 2018 19:06:03 +0000

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,36 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
-           Thomas Bechtold <thomasbechtold@jpberlin.de>
 Build-Depends: debhelper (>= 10~),
 	dh-python,
 	python,
 	python-mock,
-	python-nose,
+	python-pytest,
+	python-pytest-cov,
+	python-redis,
 	python-serial,
 	python-setuptools,
+	python-six,
+	python-sphinx-rtd-theme,
+	python-sqlalchemy,
 	python-twisted,
 	python3,
-	python3-humanfriendly,
 	python3-sphinx,
 	python3-mock,
-	python3-nose,
+	python3-redis,
+	python3-pytest,
+	python3-pytest-cov,
 	python3-serial,
 	python3-setuptools,
+	python3-six,
+	python3-sphinx,
+	python3-sphinx-rtd-theme,
+	python3-sqlalchemy,
 	python3-twisted
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pymodbus.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pymodbus.git
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/modules/pymodbus.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pymodbus
 Homepage: https://github.com/riptideio/pymodbus
 
 Package: python-pymodbus

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,9 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/sphinx build/html
+	( cd doc; \
+	  PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -M html . _build )
+
+override_dh_install:
+	dh_install
+	rm -f $(CURDIR)/debian/python*-pymodbus/usr/lib/python*/dist-packages/.coverage

=== debian/tests/control ===
Depends: python-pymodbus
Test-Command: cd "$AUTOPKGTEST_TMP" ; python -c "import pymodbus ; print pymodbus.__version__"

Depends: python3-pymodbus
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import pymodbus ; print(pymodbus.__version__)"

## pymodbus 2.1.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,69 +4,35 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 11),
 	dh-python,
-	python,
-	python-mock,
-	python-pytest,
-	python-pytest-cov,
-	python-redis,
-	python-serial,
-	python-setuptools,
-	python-six,
-	python-sphinx-rtd-theme,
-	python-sqlalchemy,
-	python-twisted,
 	python3,
-	python3-sphinx,
+	python3-humanfriendly,
 	python3-mock,
+	python3-recommonmark,
 	python3-redis,
 	python3-pytest,
 	python3-pytest-cov,
 	python3-serial,
+	python3-serial-asyncio,
 	python3-setuptools,
 	python3-six,
 	python3-sphinx,
 	python3-sphinx-rtd-theme,
 	python3-sqlalchemy,
-	python3-twisted
+	python3-tornado,
+	python3-twisted,
 Standards-Version: 4.1.3
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/modules/pymodbus.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pymodbus
 Homepage: https://github.com/riptideio/pymodbus
 
-Package: python-pymodbus
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
-Recommends: python-twisted-core
-Provides: ${python:Provides}
-Description: full Modbus protocol implementation for Python 2
- Pymodbus is a full Modbus protocol implementation.
- It is currently supports the following :
- .
- Client Features:
-  * Can perform single get/set on discrete and registers
-  * Can perform multiple get/set on discrete and registers
-  * Working on diagnostic/file/pipe/setting/info requests
-  * Can fully scrape a host to be cloned
- .
- Server Features:
-  * Can function as a fully implemented TCP/ASCII modbus server
-  * Full server control context
-  * Working on serial communication
-  * Working on functioning as a RTU
-  * Can mimic a server based on the supplied input data
- .
- For asynchronous communication, you need python-twisted-core.
- For serial communication, you need python-serial.
- .
- This package provides the Python 2.x module.
-
 Package: python3-pymodbus
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Recommends: python3-twisted
+Recommends: python3-serial-asyncio,
+	python3-twisted,
 Provides: ${python3:Provides}
 Description: full Modbus protocol implementation for Python 3
  Pymodbus is a full Modbus protocol implementation.

## pymodbus 2.1.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 test: install
 	@pip install --quiet --requirement=requirements-tests.txt
-	@py.test
+	@pytest --cov=pymodbus/ --cov-report term-missing
 	@coverage report --fail-under=90
 
 tox: install
@@ -47,7 +47,7 @@
 
 docs: install
 	@pip install --quiet --requirement=requirements-docs.txt
-	@cd doc && make html
+	@cd doc && make clean && make html
 
 publish: install
 	git push origin && git push --tags origin

=== requirements.txt ===
six==1.11.0
# -------------------------------------------------------------------
# if want to use the pymodbus serial stack, uncomment these
# -------------------------------------------------------------------
# pyserial>=3.4
# -------------------------------------------------------------------
# if you want to run the tests and code coverage, uncomment these
# -------------------------------------------------------------------
#coverage==4.4
#mock==2.0.0
#nose==1.3.7
#pep8==1.7.0
# -------------------------------------------------------------------
# if you want to use the Twisted asynchronous version, uncomment these
# -------------------------------------------------------------------
#Twisted==17.1.0
#zope.interface==4.4.0
#pyasn1==0.2.3
#pycrypto==2.6.1
#wsgiref==0.1.2
#cryptography==1.8.1

# -------------------------------------------------------------------
# if you want to use the Tornado asynchronous version, uncomment these
# -------------------------------------------------------------------
# tornado==4.5.2

# -------------------------------------------------------------------
# if you want to use the Asyncio asynchronous version, uncomment these
# -------------------------------------------------------------------
# pyserial-asyncio==0.4.0;python_version>="3.4"

# -------------------------------------------------------------------
# if you want to build the documentation, uncomment these
# -------------------------------------------------------------------
#Jinja2==2.9.6
#Pygments==2.2.0
#Sphinx==1.5.5
#docutils==0.13.1
#pydoctor==16.3.0

# -------------------------------------------------------------------
# if you want to use pymodbus REPL
# -------------------------------------------------------------------
# click>=6.7
# prompt-toolkit==2.0.4

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = PyModbus
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== examples/contrib/requirements.txt ===
# -------------------------------------------------------------------
# if you want to use the custom data stores, uncomment these
# -------------------------------------------------------------------
SQLAlchemy==0.7.9
redis==2.6.2

=== examples/gui/bottle/requirements.txt ===
# -------------------------------------------------------------------
# if you want to use this frontend uncomment these
# -------------------------------------------------------------------
bottle==0.11.2

=== debian/changelog ===
pymodbus (2.1.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 08 Aug 2019 00:11:57 +0500

pymodbus (2.1.0+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ W. Martin Borgert ]
  * New upstream version
  * Add patch for Python 3.7 compatibility
    - disable tests temporarily, because they hang after running
      successfully

 -- W. Martin Borgert <debacle@debian.org>  Mon, 26 Nov 2018 12:37:21 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=pymodbus
export http_proxy = http://127.0.0.1:9
export https_proxy = https://127.0.0.1:9

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	( cd doc; \
	  PYTHONPATH=.. http_proxy='127.0.0.1:9' python3 -m sphinx -M html . _build )

# pybuild hangs after successful tests since Python 3.7, therefore disabled
# hopefully solved, when upstream supports Python 3.7 officially
override_dh_auto_test:

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/python*-pymodbus/usr/lib/python*/dist-packages/.coverage
	# remove the new script, currently broken on Debian anyway
	rm -f $(CURDIR)/debian/python*-pymodbus/usr/bin/pymodbus.console

override_dh_installdocs:
	dh_installdocs -ppython-pymodbus-doc --doc-main-package=python-pymodbus-doc
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -ppython-pymodbus-doc --doc-main-package=python-pymodbus-doc
	dh_installexamples --remaining-packages

=== debian/tests/control ===
Depends: python3-pymodbus
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import pymodbus ; print(pymodbus.__version__)"

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
https://github.com/riptideio/pymodbus/releases \
.*[^n]/(?:|v|version-|release-|r|REL_|rel-|(?:pymodbus|pymodbus)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## pymodbus 2.5.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 PATH := $(VIRTUAL_ENV)/bin:$(PATH)
 MAKE := $(MAKE) --no-print-directory
 SHELL = bash
+PYVER=$(shell python -c "import sys;t='{v[0]}.{v[1]}'.format(v=list(sys.version_info[:2]));print(t)")
 
 default:
 	@echo 'Makefile for pymodbus'
@@ -24,7 +25,7 @@
 	@test -d "$(VIRTUAL_ENV)" || mkdir -p "$(VIRTUAL_ENV)"
 	@test -x "$(VIRTUAL_ENV)/bin/python" || virtualenv --quiet "$(VIRTUAL_ENV)"
 	@test -x "$(VIRTUAL_ENV)/bin/pip" || easy_install pip
-	@pip install --quiet --requirement=requirements.txt
+	@pip install --upgrade --quiet --requirement=requirements.txt
 	@pip uninstall --yes pymodbus &>/dev/null || true
 	@pip install --quiet --no-deps --ignore-installed .
 
@@ -37,16 +38,31 @@
 	@pip install --upgrade --quiet --requirement=requirements-checks.txt
 	@flake8
 
+
 test: install
-	@pip install --quiet --requirement=requirements-tests.txt
-	@pytest --cov=pymodbus/ --cov-report term-missing
-	@coverage report --fail-under=90
+	@pip install --upgrade --quiet --requirement=requirements-tests.txt
+ifeq ($(PYVER),3.6)
+	$(info Running tests on $(PYVER))
+	@pip install --upgrade pip --quiet
+	@pytest --cov=pymodbus/ --cov-report term-missing  test/test_server_asyncio.py test
+	@coverage report --fail-under=85 -i
+else ifeq ($(PYVER),2.7)
+	$(info Running tests on $(PYVER))
+	@pip install pip==20.3.4 --quiet
+	@pytest --cov-config=.coveragerc --cov=pymodbus/ --cov-report term-missing --ignore test/test_server_asyncio.py --ignore test/test_client_async_asyncio.py test
+	@coverage report --fail-under=90 -i
+else
+	$(info Running tests on $(PYVER))
+	@pip install --upgrade pip --quiet
+	@pytest --cov=pymodbus/ --cov-report term-missing  test
+	@coverage report --fail-under=85 -i
+endif
 
 tox: install
-	@pip install --quiet tox && tox
+	@pip install --upgrade --quiet tox && tox
 
 docs: install
-	@pip install --quiet --requirement=requirements-docs.txt
+	@pip install --upgrade --quiet --requirement=requirements-docs.txt
 	@cd doc && make clean && make html
 
 publish: install
@@ -57,6 +73,7 @@
 	twine upload dist/*
 	$(MAKE) clean
 
+
 clean:
 	@rm -Rf *.egg .eggs *.egg-info *.db .cache .coverage .tox build dist docs/build htmlcov doc/_build test/.Python test/pip-selfcheck.json test/lib/ test/include/ test/bin/
 	@find . -depth -type d -name __pycache__ -exec rm -Rf {} \;

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-six==1.11.0
+six>=1.15.0
 # -------------------------------------------------------------------
 # if want to use the pymodbus serial stack, uncomment these
 # -------------------------------------------------------------------
@@ -16,7 +16,6 @@
 #Twisted==17.1.0
 #zope.interface==4.4.0
 #pyasn1==0.2.3
-#pycrypto==2.6.1
 #wsgiref==0.1.2
 #cryptography==1.8.1

=== examples/gui/bottle/requirements.txt ===
# -------------------------------------------------------------------
# if you want to use this frontend uncomment these
# -------------------------------------------------------------------
bottle==0.12.19

=== debian/changelog ===
pymodbus (2.5.3+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 May 2022 00:59:47 +0100

pymodbus (2.5.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.3 (Closes: #944664).
  * Add patch to use m2r, not m2r2, because the latter is not in Debian.

  [ Emmanuel Arias ]
  * Add gbp.conf
  * Bump Standard-version to 4.4.1

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Martin <debacle@debian.org>  Mon, 25 Apr 2022 21:58:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: pymodbus
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Martin <debacle@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
 	dh-python,
 	python3,
 	python3-humanfriendly,
+	python3-m2r,
 	python3-mock,
 	python3-recommonmark,
 	python3-redis,
@@ -22,10 +23,10 @@
 	python3-sqlalchemy,
 	python3-tornado,
 	python3-twisted,
-Standards-Version: 4.1.3
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/python-team/modules/pymodbus.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pymodbus
+Vcs-Git: https://salsa.debian.org/python-team/packages/pymodbus.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pymodbus
 Homepage: https://github.com/riptideio/pymodbus
 
 Package: python3-pymodbus
